+ Reply to Thread
Results 1 to 2 of 2

Thread: Solidedit task

  1. #1
    Super Member marko_ribar's Avatar
    Computer Details
    marko_ribar's Computer Details
    Operating System:
    Windows 7 Ultimate X64
    Computer:
    Intel quad core CPU 4x2.66GHz, 8GB RAM
    Motherboard:
    INTEL compatibile
    CPU:
    quad core 4x2.66GHz
    RAM:
    8GB
    Graphics:
    NVIDIA GeForce 6600 GT
    Primary Storage:
    250 GB
    Secondary Storage:
    500 GB
    Monitor:
    Samsung 17''
    Discipline
    Architectural
    marko_ribar's Discipline Details
    Occupation
    Architecture, project designer, project visualisation
    Discipline
    Architectural
    Details
    space design - modeling and animations
    Using
    AutoCAD 2014
    Join Date
    Feb 2010
    Location
    Belgrade, Serbia, Europe
    Posts
    1,232

    Default Solidedit task

    Registered forum members do not see this ad.

    I have 3dsolid shell object and I want to perform certain modeling operation on it to accomplish desired result shown in attached DWG... If it's possible lisp routine would be nice (just I don't know how to implement correct selection operations using SOLIDEDIT command "Face" option)... Any help or thought you have to tell me or maybe some different approach what I've considered but thought it's more complicated (using SECTION command and finding inside boundaries for making extruded 3d solid operand for subtraction operation)... So what do you think, please look into attachment...

    Kr, M.R.

    SOLIDEDIT TASK.dwg

    Marko Ribar, d.i.a. (graduated engineer of architecture)
    M.R. on YouTube

  2. #2
    Super Member marko_ribar's Avatar
    Computer Details
    marko_ribar's Computer Details
    Operating System:
    Windows 7 Ultimate X64
    Computer:
    Intel quad core CPU 4x2.66GHz, 8GB RAM
    Motherboard:
    INTEL compatibile
    CPU:
    quad core 4x2.66GHz
    RAM:
    8GB
    Graphics:
    NVIDIA GeForce 6600 GT
    Primary Storage:
    250 GB
    Secondary Storage:
    500 GB
    Monitor:
    Samsung 17''
    Discipline
    Architectural
    marko_ribar's Discipline Details
    Occupation
    Architecture, project designer, project visualisation
    Discipline
    Architectural
    Details
    space design - modeling and animations
    Using
    AutoCAD 2014
    Join Date
    Feb 2010
    Location
    Belgrade, Serbia, Europe
    Posts
    1,232

    Default

    Registered forum members do not see this ad.

    I've figured out... It was very easy...

    Code:
    (defun c:perforateshell ( / *error* f v pt pl )
    
      (defun *error* ( m )
        (if f (command "_.UCS" "_P"))
        (if v (command "_.ZOOM" "_P"))
        (if m (prompt m))
        (princ)
      )
    
      (if (eq (getvar 'worlducs) 0)
        (progn
          (command "_.UCS" "_W")
          (setq f t)
        )
      )
      (if (not (equal (getvar 'viewdir) '(0.0 0.0 1.0) 1e-6))
        (progn
          (command "_.PLAN" "")
          (setq v t)
        )
      )
      (setq pt t)
      (while pt
        (setq pt (getpoint "\nPick or specify point inside shell to perforate its top/bottom sides (ENTER-FINISH) : "))
        (if pt (setq pl (cons pt pl)))
      )
      (command "_.SOLIDEDIT" "_F" "_E")
      (foreach pt pl
        (command pt)
      )
      (foreach pt pl
        (command pt)
      )
      (foreach pt pl
        (command pt)
      )
      (command "_R")
      (foreach pt pl
        (command pt)
      )
      (command "")
      (command (- (getvar 'viewsize)))
      (while (< 0 (getvar 'cmdactive)) (command ""))
      (*error* nil)
    )
    Thanks for reading anyway...
    M.R.

    Marko Ribar, d.i.a. (graduated engineer of architecture)
    M.R. on YouTube

Similar Threads

  1. Cannot taper using solidedit
    By Ninoshka in forum AutoCAD 3D Modelling & Rendering
    Replies: 1
    Last Post: 17th Nov 2014, 03:34 pm
  2. Solidedit and Shell
    By Laurel in forum AutoCAD 3D Modelling & Rendering
    Replies: 24
    Last Post: 14th Nov 2008, 09:14 am
  3. solidedit trouble
    By frunza_samuel in forum AutoCAD 3D Modelling & Rendering
    Replies: 7
    Last Post: 31st Mar 2008, 04:06 pm
  4. solidedit - won't
    By fostertom in forum AutoCAD Beginners' Area
    Replies: 0
    Last Post: 28th Jan 2008, 05:41 pm
  5. SOLIDEDIT Offset
    By dreamer in forum AutoCAD 3D Modelling & Rendering
    Replies: 4
    Last Post: 21st Apr 2005, 11:03 am

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts